from datetime import time

from sqlalchemy import String, Column, Integer, DateTime

from app.modle import Base


def cnNow():
    """获取时间，年月日时分秒格式"""
    # tz = pytz.timezone('Asia/Shanghai')
    # return tz.fromutc(datetime.datetime.now() + datetime.timedelta(0, time.altzone))
    return time.strftime("%Y-%m-%d %H:%M:%S", time.localtime())


class User(Base):
    """用户表"""
    __tablename__ = "users"

    id = Column(Integer, primary_key=True, autoincrement=True, nullable=False, doc='用户id')
    user_name = Column(String, nullable=False, unique=False, index=False, doc='用户名')
    password = Column(String, nullable=False, unique=False, index=False, doc='密码')
    photograph = Column(String, nullable=True, unique=False, index=False, doc='照片')
    name = Column(String, nullable=True, unique=False, index=False, doc='姓名')
    phone = Column(Integer, nullable=True, unique=False, index=False, doc='电话')
    email = Column(String, nullable=True, unique=False, index=False, doc='邮箱')
    company = Column(String, nullable=True, unique=False, index=False, doc='公司')
    department = Column(String, nullable=True, unique=False, index=False, doc='部门')
    role = Column(String, nullable=True, unique=False, index=False, doc='角色')
    permission = Column(String, nullable=True, unique=False, index=False, doc='权限')
    on_job_status = Column(String, nullable=True, unique=False, index=False, doc='在职状态')
    duty = Column(String, nullable=True, unique=False, index=False, doc='职务')
    account_status = Column(String, nullable=True, unique=False, index=False, doc='账户状态')
    nationality = Column(String, nullable=True, unique=False, index=False, doc='国籍')
    register_time = Column(DateTime, nullable=True, unique=False, index=False, default=cnNow(), doc='注册时间')
